@import url('https://fonts.googleapis.com/css2?family=Island+Moments&family=Quicksand:wght@300&family=Titillium+Web:wght@200;300&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/*Code for all pages*/

body{
    font-family: Quicksand;
    font-size: 10pt;
    text-align: center;
    background-image: linear-gradient(180deg, #48ACF0, #090A0B);
    align-items: center;
    justify-content: center;
    color: #090A0B;
}

nav{
    font-family: Quicksand;
    font-size: 30px !important;  
    display: flex;
    min-height: 8vh;
    width: 100%;
    margin: 0;
    align-items: center;
    text-align: center;
    background-color: black;
    color: #04DC74;
    padding-top: 0px;
}

nav ul{
    display: flex;
    flex: 1 1 40rem;
    justify-content: space-around;
    align-items: center;
    list-style: none;
}

nav h1{
    display: inline-block;
    text-align: justify;
    font-size: 2.25em;
}

.vertical {
    display: flex;
    justify-content: center;
    align-items: center;
}

.about-section h2 {
    margin-bottom: 12px;
}

a:link{
    font-size: 20px;
    border-radius: 10%;
    color:#04DC74;
    text-decoration: none;
    display: inline-block;
}

a:hover {
    color: #04DC74;
    text-decoration: underline;
  }
  
a:visited {
    color: #04DC74;
}

a.nav-link.active{
    color:#04DC74 !important;
    font-weight: 600;    
}

#footer{
    font-family: 'Golos Text', sans-serif;
    text-align: center;
    background-color:black;
    color: #04DC74;
    padding: 10px;
    display: flex;
    border-radius: 0%;
    font-size: 15px;
    box-shadow: 0 10px 15px black;
    justify-content: space-around;
    width: 100%;
}

.align{
    display:flex;
    justify-content:center;
    align-items: center;
}

/*Code for home page*/
/*Code for home page*/
/*Code for home page*/

.box{
    background: #fff;
    width: 100%;
    border-radius: 15px;
    padding: 25px;
    box-shadow: 0 10px 15px black;
    justify-content: center;
    height: 100%;
    text-align: center;
}
 
.boxkids{
    background: #fff;
    width: 100%;
    border-radius: 15px;
    padding: 25px;
    box-shadow: 0 10px 15px black;
    justify-content: center;
    height: 100%;
    text-align: center;
    font-family: 'Indie Flower';
    font-size: 22px;;
}

.kids{
    font-family: 'Indie Flower' !important;
    font-size: 22px;;
}

.centre{
    display: flex;
    align-items: center;
    justify-content: center;
}

.picture-centre{
    display: flex;
    justify-content: center;
}

.box .background{
    width: 100%;
    aspect-ratio: 1.2;
    margin: 10px;
    border-radius: 6px;
    box-shadow: -5px 10px 15px rgba(0, 0, 0, 0.4);
}

/*Code for buttons*/
/*Code for buttons*/
/*Code for buttons*/

.btn{
    width: 100%;
    padding: 0.5rem 1rem;
    font-size: 1.1rem;
    background-color: #2ecc71;;
    cursor: pointer;
    outline: none;
    border: none;
    color: #fff;
    transition: .3s;
}

.btn:hover{
    background-color: #27ae60;
}

button{
    outline: none;
    border: none;
    cursor: pointer;
    width: 100px;
    padding: 8px 12px;
    background: black;
    color: white;
    border-radius: 6px;
    font-weight: 800;
}

.material-symbols-rounded {
    font-size: 50px !important;
    color: black;
}

button:hover{
    box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.3);
}

.card button {
    border: none;
    outline: 0;
    padding: 12px;
    color: white;
    background-color: black;
    text-align: center;
    cursor: pointer;
    width: 100%;
    font-size: 18px;
  }
  
.quiz-link{
    display: inline-block;
    text-decoration: none;
    background-color: black;
    padding: 10px;
    color: white;
    font-size: 24px;
    font-weight: bold;
}

  .card button:hover {
    opacity: 0.7;
  }


.main {
    padding: 1% 20% 1% 20%;
    justify-content: center;
}

.row{
    display: flex;
}

* {box-sizing:border-box}

/*Code for carousel*/
/*Code for carousel*/
/*Code for carousel*/

.caro {
    padding: 1% 15% 1% 15%;
    justify-content: center;
}

.slideshow-container {
  max-width: 80%;
  position: relative;
  margin: auto;
  border-radius: 10px;
}

.mySlides {
  display: none;
}

.prev, .next {
  cursor: pointer;
  position: absolute;
  top: 50%;
  width: auto;
  margin-top: -22px;
  padding: 16px;
  color: white;
  font-weight: bold;
  font-size: 18px;
  transition: 0.6s ease;
  border-radius: 0 3px 3px 0;
  user-select: none;
}

.next {
  right: 0;
  border-radius: 3px 0 0 3px;
}

.controls-container{
    display: flex;
}

.prev:hover, .next:hover {
  background-color: rgba(0,0,0,0.8);
}

.text {
  color: black;
  padding: 8px 12px;
  position: absolute;
  bottom: 20px;
  width: 30%;
  text-align: center;   
  background-color: rgba(255,255,255,0.8);
  border-radius: 10px;
}

.center{
    display: flex;
    justify-content: center;
}

.dot {
  cursor: pointer;
  height: 15px;
  width: 15px;
  margin: 0 2px;
  background-color: #bbb;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
}

.active, .dot:hover {
  background-color: black;
}

.fade {
  animation-name: fade;
  animation-duration: 1.5s;
}

@keyframes fade {
  from {opacity: .4}
  to {opacity: 1}
}

@media only screen and (max-width: 600px) {
    .row {
        padding: 0 !important;
        margin: 0 !important;
    }
  }

  .pictures {
    padding: 10px;
    border-radius: 15px;
  }

  .space {
    display: flex;
  }
  
.map{
    justify-content: center;
}

.column{
    width: 50%;
    display: flex;
    float: left;
    text-align: center;
}

.container{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    padding: 100px 100px;
    font-family: 'Titillium Web', sans-serif;
}

.container:after{
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: url(../images/bicycle-241514_1280.jpg) no-repeat center;
    z-index: -1;
    filter: blur(50px);
}

/*Code for contact box*/
/*Code for contact box*/
/*Code for contact box*/

.contact-box{
    max-width: 1100px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: white ;
    box-shadow: 0px 0px 19px 5px rgba(0, 0, 0, 0.19);
}

.left{
    height: 100%;
    background: url(../images/forest.jpg) no-repeat center;
    background-size: cover;
}

.right{
    padding: 25px 40px; 
}

h2{
    position: relative;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

h2:after{
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    height: 4px;
    width: 50px;
    border-radius: 2px;
    background-color: rgba(230, 230, 230, 0.6);
}

.field{
    width:100%;
    font-family: 'Titillium Web', sans-serif;
    margin-left: -4%;
    padding: 0.5rem 1rem;
    outline: none;
    border: 2px solid rgba(230, 230, 230, 0.6);
    font-size: 1.1rem;
    margin-bottom: 22px;
    transition: .3s;
}

.field:hover{
    background-color: rgba(0, 0, 0, 0.1);
}

.field:focus{
    background-color: #fff;
    border:2px solid rgba(30, 85, 250, 0.47);
}

.area{
    min-height: 150px;
}

@media screen and (max-width:880px){
    .contact-box{
        grid-template-columns: 1fr;

    }

    .left{
        height: 200px;
    }
}

/*Code for thank you page*/
/*Code for thank you page*/
/*Code for thank you page*/

#thank-you{
    background-repeat: no-repeat;
    background-size: cover;
    color: #fff;
    font-size: 60px;
    display: flex;
    flex-direction: column;
}

.picture{
    padding: 20px;
    display: flex;
    justify-content: center;
}

.login{
    display: inline-block;
    justify-content: center;
    align-items: center;
    padding-top: 10%;
    padding-bottom: 10%;
}

.box-login{
    background: #fff;
    width: 100%;
    border-radius: 15px;
    padding: 25px;
    box-shadow: 0 10px 15px black;
    justify-content: center;
    height: 100%;
    text-align: center;
}

.button4 {
    border: none;
    background-color: black;
    color: white;
    padding: 15px 32px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    cursor: pointer;
    width: 150px;
    border-radius: 25px;
    margin-top: 40px;
}

.image-container {
    max-width: 100%;
    height: auto;
  }
  
  img {
    max-width: 100%;
    height: auto;
  }

.moviebox{
    width: 25%;
}

.tilebox{
    background: #fff;
    width: 100%;
    border-radius: 5px;
    padding: 5px;
    box-shadow: 0 10px 15px black;
    justify-content: center;
    height: 100%;
    text-align: center;
}

.modal-body{
    display: flex;
}

.modaltext.h4{
    color:#E1B600; !important;
    font-family: Quicksand;
}

.modaltext.h5{
    color:white; !important;
    font-family: Quicksand;
}

.small-button1{
    outline: none;
    border: none;
    cursor: pointer;
    width: 100px;
    padding: 8px 12px;
    background:#E1B600;
    color: white;
    border-radius: 6px;
    font-weight: 800;
}

.small-button2{
    outline: none;
    border: none;
    cursor: pointer;
    width: 100px;
    padding: 8px 12px;
    background:#E1B600;
    color: black;
    border-radius: 6px;
    font-weight: 800;
}

.modaltext {
    background-color: black; !important;
 }

 .quarter{
     display: flex;
     width: 25%;
 }

 .register{
     text-align: right;
     font-size: 10px;
    font-weight: bold;
 }

 .mainregister {
    padding: 1% 35% 1% 35%;
    justify-content: center;
}

.ticket {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    width: 600px;
    padding: 20px;
    border: 2px solid #ccc;
    text-align: center;
    margin: 0 auto;
    background-color: #fff;
    justify-content: center;
}

.ticketbox {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
  }